TSHTTPHDRCOPY(3ts)

NAME
TSHttpHdrCopy - copies the contents of the HTTP header located at src_loc within src_bufp to the HTTP header located at dest_loc within dest_bufp

SYNOPSIS

            #include <ts/ts.h>

    TSReturnCode TSHttpHdrCopy(TSMBuffer dest_bufp, TSMLoc dest_offset, TSMBuffer src_bufp, TSMLoc src_offset)

DESCRIPTION

TSHttpHdrCopy() works correctly even if src_bufp and dest_bufp point to different Marshal Buffers. Make sure that you create the destination HTTP header before copying into it.

NOTE:
        TSHttpHdrCopy() appends the port number to the domain of the URL portion of the header. For example, a copy of http://www.example.com appears as http://www.example.com:80 in the destination buffer.

COPYRIGHT
2025, dev@trafficserver.apache.org